Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring.remoting
Class Jsr181HandlerMapping

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.handler.AbstractHandlerMapping
                  org.springframework.web.servlet.handler.AbstractUrlHandlerMapping
                      org.codehaus.xfire.spring.remoting.Jsr181HandlerMapping

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.core.Ordered, org.springframework.web.servlet.HandlerMapping

    public class Jsr181HandlerMapping

extends org.springframework.web.servlet.handler.AbstractUrlHandlerMapping

Implementation of the `HandlerMapping` interface that recognizes `web service annotations` on Spring-managed beans and automatically wires them into the current servlet's WebApplicationContext.

All beans Services are exposed by their `service name`, with a defined `prefix`. For instance, a bean annotated with the service name `EchoService` will be exposed as `/services/EchoService`.

Author:
  Arjen Poutsma
See Also:
  `WebAnnotations`, `WebServiceAnnotation`

Field Summary

Fields inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
`logger`

Constructor Summary
`Jsr181HandlerMapping()`

Method Summary
`protected void` | `initApplicationContext()`
`void` | `setTypeMappingRegistry(TypeMappingRegistry typeMappingRegistry)` Sets the type mapping registry.
`void` | `setUrlPrefix(java.lang.String urlPrefix)` Sets the url prefix used when exposing services.
`void` | `setWebAnnotations(WebAnnotations webAnnotations)` Sets the web annotations implementation to use.
`void` | `setXfire(XFire xFire)` Sets the XFire instance.

Methods inherited from class org.springframework.web.servlet.handler.AbstractUrlHandlerMapping
`getHandlerInternal, lookupHandler, registerHandler, setAlwaysUseFullPath, setLazyInitHandlers, setPathMatcher, setUrlDecode, setUrlPathHelper`

Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
`getDefaultHandler, getHandler, getOrder, setDefaultHandler, setInterceptors, setOrder`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsr181HandlerMapping

    public Jsr181HandlerMapping()

Method Detail

### initApplicationContext

    protected void initApplicationContext()
                                   throws org.springframework.beans.BeansException

  Overrides:
    `initApplicationContext` in class `org.springframework.context.support.ApplicationObjectSupport`
  Throws:
    `org.springframework.beans.BeansException`

### setWebAnnotations

    public void setWebAnnotations(WebAnnotations webAnnotations)

  Sets the web annotations implementation to use.

### setXfire

    public void setXfire(XFire xFire)

  Sets the XFire instance.

### setTypeMappingRegistry

    public void setTypeMappingRegistry(TypeMappingRegistry typeMappingRegistry)

  Sets the type mapping registry.

### setUrlPrefix

    public void setUrlPrefix(java.lang.String urlPrefix)

  Sets the url prefix used when exposing services. Defaults to `/services/`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.